package com.cku.core;

/**
 * 对服务层实现的封装
 * 
 * @author 刘越洋
 * @date 2015-9-18
 * @param <T>
 */
public abstract class BaseService<T> {
	protected abstract BaseDAOMapper<T> getDAO();
	
	public int deleteByPrimaryKey(Long id) {
		return getDAO().deleteByPrimaryKey(id);
	}

	public int insert(T record) {
		return getDAO().insert(record);
	}

	public int insertSelective(T record) {
		return getDAO().insertSelective(record);
	}

	public T selectByPrimaryKey(Long id) {
		return getDAO().selectByPrimaryKey(id);
	}

	public int updateByPrimaryKeySelective(T record) {
		return getDAO().updateByPrimaryKeySelective(record);
	}

	public int updateByPrimaryKey(T record) {
		return getDAO().updateByPrimaryKey(record);
	}

}
