package com.cku.core;

import java.util.List;

public class PageBeanResult<T>
{
	public PageBeanResult()
	{
		
	}

	public PageBeanResult(List<T> arr) {
		this.list = arr;
		this.totalCount = (long)arr.size();
	}

	public PageBeanResult(List<T> arr, Long totalCount) {
		this.list = arr;
		this.totalCount = totalCount;
	}

	public List<T> list;
	
	public Long totalCount;

	public List<T> getList() {
		return list;
	}

	public void setList(List<T> list) {
		this.list = list;
	}

	public Long getTotalCount() {
		return totalCount;
	}

	public void setTotalCount(Long totalCount) {
		this.totalCount = totalCount;
	}
	
	
}
