package com.cku.util;

import com.cku.core.ZAException;

public class Debugger {
	public static void doAssert(boolean cond, int code, String format, Object... params)
			throws ZAException {
		if (!cond) {
			String content = String.format(format, params);
			throw new ZAException(code, content);
		}
	}
	
	public static <T> T doThrow(int code, String format, Object... params) throws ZAException
	{
		String content = String.format(format, params);
		throw new ZAException(code, content);		
	}
}
