package com.cku.util;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class StringUtils
{
	public static String nextString(String s)
	{
		char ch = (char)(s.charAt(s.length() - 1) + 1);			
		String s2 = s.substring(0, s.length() - 1);
		
		return s2 + ch;
	}

	public static boolean equals(String str1, String str2) {
		if (str1 == null)
		{
			if (str2 == null) return true;
			return false;
		}
		
		if (str2 == null) return false;
		return str1.equals(str2);
	}
	
	/** 
     * 手机号验证 
     *  
     * @param  str 
     * @return 验证通过返回true 
     */  
    public static boolean isMobile(String str) {   
        Pattern p = null;  
        Matcher m = null;  
        boolean b = false;   	
        p = Pattern.compile("^[1][0-9][0-9]{9}$"); // 验证手机号  
        m = p.matcher(str);  
        b = m.matches();   
        return b;  
    } 
    
    
    public static void main(String[] args) {
    	System.out.println(isMobile("19912341231"));
	}
}
