package com.cku.core;

import java.io.PrintWriter;
import java.io.StringWriter;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class LogObject
{
	protected Log _log = LogFactory.getLog(this.getClass());
	
	protected void _logWarn(String format, Object... params)
	{
		this._log.warn(String.format(format, params));
	}

	protected void _logInfo(String format, Object... params)
	{
		this._log.info(String.format(format, params));
	}

	protected void _logDebug(String format, Object... params)
	{
		this._log.debug(String.format(format, params));
	}

	protected void _logError(String format, Object... params)
	{
		this._log.error(String.format(format, params));
	}
	
	protected void _logE(Exception e, String format, Object... params)
	{
		if (format != null && format.length() > 0)
		{
			this._log.error(String.format(format, params));
		}
		
		StringWriter stringWriter = new StringWriter();
		PrintWriter writer = new PrintWriter(stringWriter);
		e.printStackTrace(writer);
		StringBuffer buffer = stringWriter.getBuffer();
		String s = "Exception information " + buffer.toString();
		this._log.error(s);
	}
}
