package com.cku.util;

import java.security.MessageDigest;
import java.util.UUID;

public class MD5Generator {
	public static String generate(String string) {
		return generate(string.getBytes());
	}

	public static String generate(byte[] bytes) {
		MessageDigest md5 = null;
		try {
			md5 = MessageDigest.getInstance("MD5");
		} catch (Exception e) {
			System.out.println(e.toString());
			e.printStackTrace();
			return "";
		}

		byte[] md5Bytes = md5.digest(bytes);
		StringBuffer hexValue = new StringBuffer();
		for (int i = 0; i < md5Bytes.length; i++) {
			int val = ((int) md5Bytes[i]) & 0xff;
			if (val < 16)
				hexValue.append("0");
			hexValue.append(Integer.toHexString(val));
		}
		return hexValue.toString();
	}
	  
	public static String generateValue()
	{
	    return generate(UUID.randomUUID().toString());
	}
}
